@echo off
REM #####################################################################
REM This is a VERY simple un-installation tool for an analysis addin i.e.
REM this does a rudimentary check to make sure that the dll is 
REM installed, etc, assumes the app is installed in the default location.
REM #####################################################################

echo This program will uninstall the Hewlett-Packard
echo 6809E IA FOR GP PROBES (version 1.00.0000)
echo.
echo Press Ctrl-C to abort this uninstallation or
pause

echo.
echo Uninstalling...

REM ######
REM check to see if the dll is installed
REM ######
echo Checking for installed files...
if not exist "c:\Program Files\Agilent Technologies\Logic Analyzer\AddIns\Hewlett-Packard\hpAnalysisAddInIAL6809E_P.dll" goto missdll

REM ######
REM Add checking of configuration directories, etc here
REM ######

echo Removing files...
echo Please wait...
del "C:\Program Files\Agilent Technologies\Logic Analyzer\AddIns\Hewlett-Packard\hpAnalysisAddInIAL6809E_P.dll"

REM ######
REM Add removing of configuration files, etc here
REM ######

echo Unregistering tool...
UnregisterAddIn.exe -s "{49BB9F24-5C5A-4938-B5BA-CE020EF0126D}" 
if errorlevel 1 goto badend


REM ######
REM Completed successfully
REM ######
goto goodend



REM ######
REM Various labels and messages (ways to end the program)
REM ######

:missdll
echo The specified tool is either not installed or
echo installed in a non-default location
echo Aborting...
goto badend

:badend
echo Uninstall aborted
goto end

:goodend
echo Uninstall complete
goto :end

:end
pause

