@echo off
REM #####################################################################
REM This is a VERY simple installation tool for an analysis addin i.e.
REM this does a rudimentary check to make sure that the application is 
REM installed, etc, assumes the app is installed in the default location.
REM Note that there is no UNINSTALL. Use at your own risk!
REM To completely remove the registry needs to be edited manually.
REM #####################################################################

echo This program will install the Hewlett-Packard
echo 8086 IA FOR INTERFACE (version 1.00.0000)
echo.
echo Press Ctrl-C to abort this installation or
pause

echo.
echo Installing...

REM ######
REM check to see if the app is installed
REM ######
echo Checking for installed logic analyzer application
if not exist "c:\Program Files\Agilent Technologies\Logic Analyzer\agLogic.exe" goto missapp

echo Creating directories...
if not exist "C:\Program Files\Agilent Technologies\Logic Analyzer\AddIns\nul" mkdir "C:\Program Files\Agilent Technologies\Logic Analyzer\AddIns"
if not exist "C:\Program Files\Agilent Technologies\Logic Analyzer\AddIns\Hewlett-Packard\nul" mkdir "C:\Program Files\Agilent Technologies\Logic Analyzer\AddIns\Hewlett-Packard"

REM ######
REM Add checking of configuration directories, etc here
REM ######

REM ######
REM Add checking of help directories, etc here
REM ######

echo Copying files...
echo Please wait...
copy "hpAnalysisAddInIAL8086_I.dll" "C:\Program Files\Agilent Technologies\Logic Analyzer\AddIns\Hewlett-Packard\"

REM ######
REM Add copying of configuration files, etc here
REM ######

REM ######
REM Add copying of help files, etc here
REM ######

echo Registering tool...
regedit -s "Category.reg"
regedit -s "hpAnalysisAddInIAL8086_I.reg"
RegisterAddIn.exe "{C98DA157-C3F7-42F6-9E2B-61ED9BB31B75}" "c:\Program Files\Agilent Technologies\Logic Analyzer\AddIns\Hewlett-Packard\hpAnalysisAddInIAL8086_I.dll"
if errorlevel 1 goto badend
REM ######
REM Add registration of help file location here
REM ######
REM ######
REM RegisterAddIn.exe "{C98DA157-C3F7-42F6-9E2B-61ED9BB31B75}" "-h" "<put help file full path here>"
REM if errorlevel 1 goto badend
REM ######

REM ######
REM Completed successfully
REM ######
goto goodend



REM ######
REM Various labels and messages (ways to end the program)
REM ######

:missapp
echo The logic analyzer application is either not installed or
echo installed in a non-default location
echo Aborting...
goto badend

:badend
echo Installation aborted
goto end

:goodend
echo Installation complete
goto :end

:end
pause

